branches:
  - "+([0-9])?(.{+([0-9]),x}).x"
  - "master"
  - name: "rc"
    prerelease: true
  - name: "beta"
    prerelease: true
  - name: "alpha"
    prerelease: true
plugins:
  - "@semantic-release/commit-analyzer"
  - "@semantic-release/release-notes-generator"
  - "@semantic-release/changelog"
  - - "@google/semantic-release-replace-plugin"
    - replacements:
        - files:
            - build.gradle.kts
          from: version = ".*"
          to: version = "${nextRelease.version}"
          countMatches: true
          results:
            - file: build.gradle.kts
              hasChanged: true
              numMatches: 1
              numReplacements: 1
  - - "@semantic-release/git"
    - assets:
        - CHANGELOG.md
        - build.gradle.kts